using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.DataAccess.Context;
using HCM.BusinessEntities;

namespace HCM.DataAccess
{
    public class ExpedienteCompletoDataAccess
    {
        #region Consulta

        public List<ExpedienteCompleto> ListadoExpedienteCompleto()
        {

            List<ExpedienteCompleto> results = new List<ExpedienteCompleto>();

            try
            {
                using (lnqCatalogosDataContext dc = new lnqCatalogosDataContext(Helper.ConnectionString()))
                {
                    var query = from item in dc.stp_ListarCatExpedienteCompleto()
                                select new ExpedienteCompleto()
                                {
                                    tintExpedienCompID = item.tintExpedienCompID,
                                    vchDescripcion = item.vchDescripcion
                                };

                    results.AddRange(query);
                }

            }
            catch (Exception ex)
            {

                throw ex;
            }

            return results;
        }

        #endregion
    }
}
